AurionAI Docs

Get Shared Conversation V2

GET
/api/v2/conversations/share/{token}

Path Parameters

token*Token

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/conversations/share/string"
{
  "attachments": [
    {
      "content_id": "string",
      "content_type": "string",
      "conversation_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "disposition": "string",
      "filename": "string",
      "id": "string",
      "message_id": "string",
      "scan_status": "string",
      "size_bytes": 0,
      "source": "string",
      "storage_backend": "string",
      "thumbnail_url": "string",
      "uploader_id": "string",
      "uploader_name": "string"
    }
  ],
  "channel": "string",
  "expires_at": "string",
  "id": "string",
  "messages": [
    {
      "attachments": [
        {}
      ],
      "body": "string",
      "body_html": "string",
      "content_type": "string",
      "conversation_version": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "id": "string",
      "is_internal": false,
      "metadata": {},
      "original_body": "string",
      "sender_id": "string",
      "sender_type": "string",
      "sentiment_label": "string",
      "sentiment_score": 0,
      "source": "string",
      "source_message_id": "string",
      "translated_body": "string",
      "translation_target_language": "string"
    }
  ],
  "permission": "view_only",
  "resolution": {
    "actions_taken": "string",
    "ai_generated": false,
    "conversation_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "id": "string",
    "resolution": "string",
    "root_cause": "string",
    "updated_at": "2019-08-24T14:15:22Z",
    "updated_by": "string"
  },
  "status": "string",
  "subject": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}